Subject: bug#13692: mouse clicks in vc-dir buffers accidentally changing marks

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Jan 2021 07:21:34 +0100

Dmitry Gutov <[email-masked]> writes:

> Not sure if we should close this now.

I think we should make the "*" area also clickable -- I think that's the
most confusing part here now (that only clicking the status area toggles
the "*", and clicking the "*" itself doesn't do anything).

> While we're on the subject of buttons, I think it's odd that mouse-1
> and mouse-2 routinely do the same thing, here and in other cases
> (e.g. links in Compilation buffers). But I suppose this is outside of
> scope for this discussion.

Yeah, the mouse thing is pretty confusing, but the
`mouse-1-click-follows-link' variable can be set to change the
behaviour.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no